<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <meta http-equiv="X-UA-Compatible" content="ie=edge">
  <title>Document</title>
</head>
<body>
  <div id="app">
   
  </div>

  <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
  <script>

    // var options = {
    //   el:'#app', //키 값으로 객체 리터럴 설정
    //   data: {
    //     message :'hi'
    //   },
    //   created(){
    //     console.log('생성');
    //   }
    // }
    // new Vue(options);

    //가독성 때문에 대부분 아래와 같이 사용
    new Vue({
      el:'#app',
      data: {
        message :'hi',
        num : 10
      },
      template: '<div>{{message}}{{num}} {{doubleNum}} <button @click="increase()">click me</button></div>',
      created(){
        console.log('생성');
        
      },
      mounted() {
        console.log("마운트");
      },
      methods: {
        increase: function(){
         this.num = this.num + 1;
        }
      },
      computed: {
        doubleNum: function(){
          return this.num * 2;
        }
      },
      watch: {
        num:function(){
          console.log("dd");
        }
      },
    });
  </script>
</body>
</html>